//
//  M_OrderAssignUser.swift
//  VattiCSS
//
//  Created by WZR on 2023/8/31.
//

import Foundation

class M_OrderAssignUser: NSObject {
    
    var siteId = ""       //网点ID
    var pic = ""       //头像,如果为null时前端使用默认图片
    var siteName = ""       //名称
    var mobile = ""       //手机号码
    var unFinishOrderQty = ""       //工单容量
    var address = ""       //地址
    var mapDistance = ""       //跟用户家距离
    
    var engineerId = ""       //师傅ID
    var engineerName = ""       //名称
    var engineerMobile = ""
    
    var isSelect = false
    init(_ data:[String:Any] = [:]) {
        siteId = data.stringValue(forKey: "siteId")
        pic = kGetServerPicUrl(data.stringValue(forKey: "pic"))
        siteName = data.stringValue(forKey: "siteName")
        mobile = data.stringValue(forKey: "mobile")
        unFinishOrderQty = data.stringValue(forKey: "unFinishOrderQty")
        address = data.stringValue(forKey: "address")
        mapDistance = data.stringValue(forKey: "mapDistance")
        engineerId = data.stringValue(forKey: "engineerId")
        engineerName = data.stringValue(forKey: "engineerName")
        engineerMobile = data.stringValue(forKey: "engineerMobile")
    }
}
